Apply by doing:
	cd /usr/src
	patch -p0 < 011_pkg.patch

And then reinstall pkg:
	cd /usr/src/usr.sbin/pkg && make obj && make depend && make && make install

Index: usr.sbin/pkg/pkg.pl
===================================================================
RCS file: /cvs/src/usr.sbin/pkg/pkg.pl,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- usr.sbin/pkg/pkg.pl	2001/04/24 22:14:10	1.3
+++ usr.sbin/pkg/pkg.pl	2001/07/14 14:20:11	1.4
@@ -113,7 +113,10 @@
 		return 1 if $v =~ /^$_$/;
 		return 1 if $v =~ /^${_}p\d+$/; # allows for recent patches
 	}
-	for (grep !/^\d/, @specs) { 		# dewey match, all of them
+
+	# Last chance: dewey specs ?
+	my @deweys = grep !/^\d/, @specs;		
+	for (@deweys) {
 		if (m/^\<\=|\>\=|\<|\>/) {
 			my ($op, $dewey) = ($&, $');
 			my $compare = dewey_compare($v, $dewey);
@@ -121,9 +124,11 @@
 			return 0 if $op eq '<=' && $compare > 0;
 			return 0 if $op eq '>' && $compare <= 0;
 			return 0 if $op eq '>=' && $compare < 0;
+		} else {
+			return 0;	# unknown spec type
 		}
 	}
-	return 1;
+	return @deweys == 0 ? 0 : 1;
 }
 
 sub check_1flavor
